Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class NoneVersionStrategy

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
          org.apache.openjpa.jdbc.meta.strats.AbstractVersionStrategy
              org.apache.openjpa.jdbc.meta.strats.NoneVersionStrategy

All Implemented Interfaces:
  Serializable, Strategy, VersionStrategy

    public class NoneVersionStrategy

extends AbstractVersionStrategy

No-op version strategy.

Author:
  Abe White
See Also:
  Serialized Form

Field Summary
`static String` | `ALIAS`

Fields inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractVersionStrategy
`vers`

Method Summary
`String` | `getAlias()` Return the alias of this strategy.
`static NoneVersionStrategy` | `getInstance()` Return singleton instance.
`void` | `setVersion(Version owner)` Set the version that uses this strategy.

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractVersionStrategy
`afterLoad, checkVersion, compareVersion, getBulkUpdateValues, load, select`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
`customDelete, customInsert, customUpdate, delete, initialize, insert, isCustomDelete, isCustomInsert, isCustomUpdate, map, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.jdbc.meta.Strategy
`customDelete, customInsert, customUpdate, delete, initialize, insert, isCustomDelete, isCustomInsert, isCustomUpdate, map, update`

Field Detail

### ALIAS

    public static final String ALIAS

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static NoneVersionStrategy getInstance()

  Return singleton instance.

### getAlias

    public String getAlias()

  Description copied from interface: `Strategy`
  Return the alias of this strategy. For custom strategies, return the full class name.

  Specified by:
    `getAlias` in interface `Strategy`
  Overrides:
    `getAlias` in class `AbstractStrategy`

### setVersion

    public void setVersion(Version owner)

  Description copied from interface: `VersionStrategy`
  Set the version that uses this strategy. This will be called before use.

  Specified by:
    `setVersion` in interface `VersionStrategy`
  Overrides:
    `setVersion` in class `AbstractVersionStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.